Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Some issue exposed by IO::Glob #2686

Closed
AlexDaniel opened this issue Feb 9, 2019 · 7 comments

Comments

Projects
None yet
3 participants
@AlexDaniel
Copy link
Member

commented Feb 9, 2019

See perl6/ecosystem-unbitrot#560.

IO::Glob – Fail, Bisected: b3eb382

Fortran::Grammar is also affected by this.

@lizmat

This comment has been minimized.

Copy link
Contributor

commented Feb 12, 2019

confirmed reverting b3eb382 fixes the problem

@lizmat

This comment has been minimized.

Copy link
Contributor

commented Feb 12, 2019

Fixed with 9d6e508 for now

@lizmat lizmat added the tests needed label Feb 12, 2019

@lizmat

This comment has been minimized.

Copy link
Contributor

commented Feb 12, 2019

Confirmed zef installs IO::Glob cleanly with this change

@lizmat lizmat removed the BLOCKER label Feb 12, 2019

@AlexDaniel

This comment has been minimized.

Copy link
Member Author

commented Feb 18, 2019

@lizmat it's still there for Fortran::Grammar

===> Searching for: Fortran::Grammar
===> Found: Fortran::Grammar:ver<0.0.6> [via Zef::Repository::Ecosystems<p6c>]
===> Fetching [OK]: Fortran::Grammar:ver<0.0.6> to /home/alex/Blin/data/zef-data/tmp/1549729503.9314.1815/perl6-fortran-grammar.git
===> Extraction [OK]: Fortran::Grammar to /home/alex/Blin/data/zef-data/store/perl6-fortran-grammar.git
===> Testing: Fortran::Grammar:ver<0.0.6>
�[31m===�[0mSORRY!�[31m===�[0m Error while compiling /home/alex/Blin/installed/IO::Glob_0.6/sources/9B78006EC28345074FD9A0ED374EC5857ADEF036 (IO::Glob)
No such method 'flat' for invocant of type 'IO::Glob'
at /home/alex/Blin/installed/IO::Glob_0.6/sources/9B78006EC28345074FD9A0ED374EC5857ADEF036 (IO::Glob):445
t/FortranBasic.t .. 
Dubious, test returned 1 (wstat 256, 0x100)
No subtests run 

Test Summary Report
-------------------
t/FortranBasic.t (Wstat: 256 Tests: 0 Failed: 0)
  Non-zero exit status: 1
  Parse errors: No plan found in TAP output
Files=1, Tests=0,  2 wallclock secs ( 0.01 usr  0.01 sys +  2.83 cusr  0.17 csys =  3.02 CPU)
Result: FAIL
===> Testing [FAIL]: Fortran::Grammar:ver<0.0.6>
Failed to get passing tests, but continuing with --force-test
===> Installing: Fortran::Grammar:ver<0.0.6>
===> Install [OK] for Fortran::Grammar:ver<0.0.6>
@lizmat

This comment has been minimized.

Copy link
Contributor

commented Feb 19, 2019

@dogbert17

This comment has been minimized.

Copy link
Contributor

commented Feb 19, 2019

Works for me as well:

dogbert@dogbert-VirtualBox ~/repos/perl6-IO-Glob $ perl6 -v
This is Rakudo version 2018.12-308-g5b62bb1 built on MoarVM version 2018.12-110-g04982f6
implementing Perl 6.d
dogbert@dogbert-VirtualBox ~/repos/perl6-IO-Glob $ zef install IO::Glob
===> Searching for: IO::Glob
===> Updating cpan mirror: https://raw.githubusercontent.com/ugexe/Perl6-ecosystems/master/cpan1.json
===> Updating p6c mirror: http://ecosystem-api.p6c.org/projects1.json
===> Updated p6c mirror: http://ecosystem-api.p6c.org/projects1.json
===> Updated cpan mirror: https://raw.githubusercontent.com/ugexe/Perl6-ecosystems/master/cpan1.json
===> Testing: IO::Glob:ver<0.6>:auth<github:zostay>
===> Testing [OK] for IO::Glob:ver<0.6>:auth<github:zostay>
===> Installing: IO::Glob:ver<0.6>:auth<github:zostay>
dogbert@dogbert-VirtualBox ~/repos/perl6-IO-Glob $ zef install Fortran::Grammar
===> Searching for: Fortran::Grammar
===> Testing: Fortran::Grammar:ver<0.0.6>
===> Testing [OK] for Fortran::Grammar:ver<0.0.6>
===> Installing: Fortran::Grammar:ver<0.0.6>
@AlexDaniel

This comment has been minimized.

Copy link
Member Author

commented Feb 19, 2019

Yeah, it works now. Weird.

@AlexDaniel AlexDaniel closed this Feb 19, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.